# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXSetClippedObjects

Function

Sets the Object to be rendered and the Object with which to clip it during the rendering process.

Syntax
`
#include <dx/dx.h>
`

Clipped DXSetClippedObjects(Clipped c, Object render, Object clipping)

Functional Details

Given an existing Clipped Object `c`--consisting of an Object to be rendered (`render`) and an Object to do the clipping (`clipping`)--this routine replaces either or both. If `render` is not `NULL`, the Object to be clipped is replaced by `render`. If `clipping` is not `NULL`, the clipping Object is replaced by `clipping`.

Return Value

Returns `c` or returns `NULL` and sets an error code.

See Also

`DXGetClippedInfo, DXNewClipped`

16.6 , "Clipped Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]